#!/usr/bin/perl 

# users_del.cgi - supression de users
# Version 1.2

# This script is part of the SLIS Project initiated by the CARMI-Internet
# (Acadmie de Grenoble - France 38).
# Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
# (Acadmie de Grenoble - France 38).
#
# SLIS : Serveur de communications Linux pour l'Internet Scolaire.
# Copyright (C) 1998 Bruno Bzeznik
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    You should have received a copy of the GNU General Public License
#    along with this program (For example ./COPYING);
#    if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#    Cambridge, MA 02139, USA.
#
# Please send all comments and bug reports by electronic mail to:
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# or to <slis@ac-grenoble.fr>
#
# Envoyez vos suggestions et reports de bugs par e-mail 
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# ou  <slis@ac-grenoble.fr>
#

# Variables
do '/home/hadmin/slis.conf.pl';

use CGI ; 
$html = new CGI ;

print $html->header ; 

# Lecture de l'entete standard HTML
open (HEAD,"$ENTETE");
print <HEAD> ;
close HEAD ;

# Lecture des parametres administrateur
open (PARAMS,"$BASE/params_admin.txt");
@param= <PARAMS> ;

# Tests de validit
if ($param[2] eq "") {
  print "<CENTER>";
  print "Vous n'avez pas entr&eacute; correctement les param&egrave;tres administrateur\n";
  print "<BR><A HREF=/cgi-bin/params_admin_form.cgi>VEUILLEZ LE FAIRE.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }
if (-e "$QUEUE/users_pop") {
  print "<CENTER>";
  print "Des utilisateurs sont en cours de creation\n<BR>";
  print "<A HREF=/index.html TARGET=_top>EFFECTUEZ D'ABORD UNE VALIDATION.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }
if ($html->param('username') eq "") {
  print "<CENTER>";
  print "Vous n'avez pas entr&eacute; le nom d'utilisateur<BR>\n";
  print "<A HREF=/users_del.html>RECOMMENCEZ.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }
$u=$html->param('username') ;
if ($u eq "root" || $u eq "hadmin" || $u eq "admin" || $u eq "carmi" ||
$u eq "bin" || $u eq "daemon" || $u eq "adm" || $u eq "lp" || $u eq
"sync" || $u eq "mail" || $u eq "news" || $u eq "uucp" || $u eq
"operator" || $u eq "gopher" || $u eq "ftp" || $u eq "nobody" || $u eq
"bzeznik" || $u eq "squid" || $u eq "pop" || $u eq "named" ) {
  print "<CENTER>";
  print "Vous n'avez pas le droit de supprimer cet utilisateur<BR>\n";
  print "<A HREF=/users_del.html>RECOMMENCEZ.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }
$username=$html->param('username');
$exist=`cut -d: -f1 /etc/passwd| grep -x $username`;
if ($exist eq "") {
  print "<CENTER>";
  print "Cet utilisateur n'existe pas\n<BR>";
  print "<A HREF=/users_del.html>RECOMMENCEZ.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }
$exist=`if [ -f $QUEUE/users_del ] ; then cut -d: -f1 $QUEUE/users_del |grep -x $username ; fi`; 
if ($exist ne "") {
  print "<CENTER>";
  print "Cet utilisateur est en cours de suppression\n<BR>";
  print "<A HREF=/users_del.html>RECOMMENCEZ.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }

# Ecriture dans le fichier
open (USERS_DEL,">>$QUEUE/users_del");
print USERS_DEL $html->param('username'),":";
print USERS_DEL $html->param('delbox'),"\n";

# Ecriture du resultat
print "<CENTER><H3><I>Les informations ont &eacute;t&eacute; enregistr&eacute;es" ;
print "\n</I></H3><P>Ce compte sera supprim&eacute; lors de la" ;
print " prochaine validation.<P>\n" ;
print "<B><A HREF=/users_del.html>Supprimer un autre compte</A></B>\n";

# Lecture du pied de page standard
open (FOOT,"$PIED");
print <FOOT> ;
close FOOT ;

close(PARAMS);
